Loading...
Searching...
No Matches
correctiq_auto.h File Reference
`#include <gnuradio/blocks/api.h>`
`#include <gnuradio/sync_block.h>`
Include dependency graph for correctiq_auto.h:

Go to the source code of this file.

## Classes

class | gr::blocks::correctiq_auto
| This block to removes that center frequency IQ DC spike with a slight variation. `It` automatically calculates the offset then switches to straight DC offset mode to `prevent` any possible IIR filtering after it's been tuned. However, if frequency `or` upstream gain is changed, it must retune, so frequency and upstream gain are `all` taken as parameters and monitored for changes. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::blocks